Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class PropertySubqueryExpression

    java.lang.Object
      org.hibernate.criterion.SubqueryExpression
          org.hibernate.criterion.PropertySubqueryExpression

All Implemented Interfaces:
  Serializable, Criterion

    public class PropertySubqueryExpression

extends SubqueryExpression

A comparison between a property value in the outer query and the result of a subquery

See Also:
  Serialized Form

Constructor Summary
`protected` | `PropertySubqueryExpression(String propertyName, String op, String quantifier, DetachedCriteria dc)`

Method Summary
`protected String` | `toLeftSqlString(Criteria criteria, CriteriaQuery criteriaQuery)`

Methods inherited from class org.hibernate.criterion.SubqueryExpression
`getTypedValues, getTypes, toSqlString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySubqueryExpression

    protected PropertySubqueryExpression(String propertyName,
                                         String op,
                                         String quantifier,
                                         DetachedCriteria dc)

Method Detail

### toLeftSqlString

    protected String toLeftSqlString(Criteria criteria,
                                     CriteriaQuery criteriaQuery)

  Specified by:
    `toLeftSqlString` in class `SubqueryExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.